package com.chinaitop.depot.system.model;

import java.io.Serializable;

public class DepotImage implements Serializable{
    /**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	private Integer imgId;

    private Integer orgId;

    private String imgUrl;

    /**
     * 编号，主键
     * @return img_id 编号，主键
     */
    public Integer getImgId() {
        return imgId;
    }

    /**
     * 编号，主键
     * @param imgId 编号，主键
     */
    public void setImgId(Integer imgId) {
        this.imgId = imgId;
    }

    /**
     * 粮库编号，外键
     * @return org_id 粮库编号，外键
     */
    public Integer getOrgId() {
        return orgId;
    }

    /**
     * 粮库编号，外键
     * @param orgId 粮库编号，外键
     */
    public void setOrgId(Integer orgId) {
        this.orgId = orgId;
    }

    /**
     * 图片地址
     * @return img_url 图片地址
     */
    public String getImgUrl() {
        return imgUrl;
    }

    /**
     * 图片地址
     * @param imgUrl 图片地址
     */
    public void setImgUrl(String imgUrl) {
        this.imgUrl = imgUrl == null ? null : imgUrl.trim();
    }
}