package com.chinaitop.depot.system.model;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

public class RoleButtonExample implements Serializable{
    /**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	/**
     * role_button
     */
    protected String orderByClause;

    /**
     * role_button
     */
    protected boolean distinct;

    /**
     * role_button
     */
    protected List<Criteria> oredCriteria;

    public RoleButtonExample() {
        oredCriteria = new ArrayList<Criteria>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    /**
     * role_button 2017-10-19
     */
    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andRbIdIsNull() {
            addCriterion("rb_id is null");
            return (Criteria) this;
        }

        public Criteria andRbIdIsNotNull() {
            addCriterion("rb_id is not null");
            return (Criteria) this;
        }

        public Criteria andRbIdEqualTo(Integer value) {
            addCriterion("rb_id =", value, "rbId");
            return (Criteria) this;
        }

        public Criteria andRbIdNotEqualTo(Integer value) {
            addCriterion("rb_id <>", value, "rbId");
            return (Criteria) this;
        }

        public Criteria andRbIdGreaterThan(Integer value) {
            addCriterion("rb_id >", value, "rbId");
            return (Criteria) this;
        }

        public Criteria andRbIdGreaterThanOrEqualTo(Integer value) {
            addCriterion("rb_id >=", value, "rbId");
            return (Criteria) this;
        }

        public Criteria andRbIdLessThan(Integer value) {
            addCriterion("rb_id <", value, "rbId");
            return (Criteria) this;
        }

        public Criteria andRbIdLessThanOrEqualTo(Integer value) {
            addCriterion("rb_id <=", value, "rbId");
            return (Criteria) this;
        }

        public Criteria andRbIdIn(List<Integer> values) {
            addCriterion("rb_id in", values, "rbId");
            return (Criteria) this;
        }

        public Criteria andRbIdNotIn(List<Integer> values) {
            addCriterion("rb_id not in", values, "rbId");
            return (Criteria) this;
        }

        public Criteria andRbIdBetween(Integer value1, Integer value2) {
            addCriterion("rb_id between", value1, value2, "rbId");
            return (Criteria) this;
        }

        public Criteria andRbIdNotBetween(Integer value1, Integer value2) {
            addCriterion("rb_id not between", value1, value2, "rbId");
            return (Criteria) this;
        }

        public Criteria andRoleIdIsNull() {
            addCriterion("role_id is null");
            return (Criteria) this;
        }

        public Criteria andRoleIdIsNotNull() {
            addCriterion("role_id is not null");
            return (Criteria) this;
        }

        public Criteria andRoleIdEqualTo(Integer value) {
            addCriterion("role_id =", value, "roleId");
            return (Criteria) this;
        }

        public Criteria andRoleIdNotEqualTo(Integer value) {
            addCriterion("role_id <>", value, "roleId");
            return (Criteria) this;
        }

        public Criteria andRoleIdGreaterThan(Integer value) {
            addCriterion("role_id >", value, "roleId");
            return (Criteria) this;
        }

        public Criteria andRoleIdGreaterThanOrEqualTo(Integer value) {
            addCriterion("role_id >=", value, "roleId");
            return (Criteria) this;
        }

        public Criteria andRoleIdLessThan(Integer value) {
            addCriterion("role_id <", value, "roleId");
            return (Criteria) this;
        }

        public Criteria andRoleIdLessThanOrEqualTo(Integer value) {
            addCriterion("role_id <=", value, "roleId");
            return (Criteria) this;
        }

        public Criteria andRoleIdIn(List<Integer> values) {
            addCriterion("role_id in", values, "roleId");
            return (Criteria) this;
        }

        public Criteria andRoleIdNotIn(List<Integer> values) {
            addCriterion("role_id not in", values, "roleId");
            return (Criteria) this;
        }

        public Criteria andRoleIdBetween(Integer value1, Integer value2) {
            addCriterion("role_id between", value1, value2, "roleId");
            return (Criteria) this;
        }

        public Criteria andRoleIdNotBetween(Integer value1, Integer value2) {
            addCriterion("role_id not between", value1, value2, "roleId");
            return (Criteria) this;
        }

        public Criteria andBtnIdIsNull() {
            addCriterion("btn_id is null");
            return (Criteria) this;
        }

        public Criteria andBtnIdIsNotNull() {
            addCriterion("btn_id is not null");
            return (Criteria) this;
        }

        public Criteria andBtnIdEqualTo(Integer value) {
            addCriterion("btn_id =", value, "btnId");
            return (Criteria) this;
        }

        public Criteria andBtnIdNotEqualTo(Integer value) {
            addCriterion("btn_id <>", value, "btnId");
            return (Criteria) this;
        }

        public Criteria andBtnIdGreaterThan(Integer value) {
            addCriterion("btn_id >", value, "btnId");
            return (Criteria) this;
        }

        public Criteria andBtnIdGreaterThanOrEqualTo(Integer value) {
            addCriterion("btn_id >=", value, "btnId");
            return (Criteria) this;
        }

        public Criteria andBtnIdLessThan(Integer value) {
            addCriterion("btn_id <", value, "btnId");
            return (Criteria) this;
        }

        public Criteria andBtnIdLessThanOrEqualTo(Integer value) {
            addCriterion("btn_id <=", value, "btnId");
            return (Criteria) this;
        }

        public Criteria andBtnIdIn(List<Integer> values) {
            addCriterion("btn_id in", values, "btnId");
            return (Criteria) this;
        }

        public Criteria andBtnIdNotIn(List<Integer> values) {
            addCriterion("btn_id not in", values, "btnId");
            return (Criteria) this;
        }

        public Criteria andBtnIdBetween(Integer value1, Integer value2) {
            addCriterion("btn_id between", value1, value2, "btnId");
            return (Criteria) this;
        }

        public Criteria andBtnIdNotBetween(Integer value1, Integer value2) {
            addCriterion("btn_id not between", value1, value2, "btnId");
            return (Criteria) this;
        }
    }

    /**
     * role_button
     */
    public static class Criteria extends GeneratedCriteria {

        protected Criteria() {
            super();
        }
    }

    /**
     * role_button 2017-10-19
     */
    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}