package com.chinaitop.depot.system.model;

import java.io.Serializable;
import java.util.Date;

public class TUrlConfig  implements Serializable{
    
    /**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	private String id;

    private String orgId;

    private String intranetUrl;

    private String extranetUrl;

    private Date time;

    private String people;

    private String remark;
    
    private String userType;
    
    private String orgName;

    /**
     * 主键
     * @return id 主键
     */
    public String getId() {
        return id;
    }

    /**
     * 主键
     * @param id 主键
     */
    public void setId(String id) {
        this.id = id == null ? null : id.trim();
    }

    /**
     * 组织编号
     * @return org_id 组织编号
     */
    public String getOrgId() {
        return orgId;
    }

    /**
     * 组织编号
     * @param orgId 组织编号
     */
    public void setOrgId(String orgId) {
        this.orgId = orgId == null ? null : orgId.trim();
    }

    /**
     * 内网url
     * @return intranet_url 内网url
     */
    public String getIntranetUrl() {
        return intranetUrl;
    }

    /**
     * 内网url
     * @param intranetUrl 内网url
     */
    public void setIntranetUrl(String intranetUrl) {
        this.intranetUrl = intranetUrl == null ? null : intranetUrl.trim();
    }

    /**
     * 外网url
     * @return extranet_url 外网url
     */
    public String getExtranetUrl() {
        return extranetUrl;
    }

    /**
     * 外网url
     * @param extranetUrl 外网url
     */
    public void setExtranetUrl(String extranetUrl) {
        this.extranetUrl = extranetUrl == null ? null : extranetUrl.trim();
    }

    /**
     * 创建时间
     * @return time 创建时间
     */
    public Date getTime() {
        return time;
    }

    /**
     * 创建时间
     * @param time 创建时间
     */
    public void setTime(Date time) {
        this.time = time;
    }

    /**
     * 创建人
     * @return people 创建人
     */
    public String getPeople() {
        return people;
    }

    /**
     * 创建人
     * @param people 创建人
     */
    public void setPeople(String people) {
        this.people = people == null ? null : people.trim();
    }

    /**
     * 备注
     * @return remark 备注
     */
    public String getRemark() {
        return remark;
    }

    /**
     * 使用类型
     * @param remark 使用类型
     */
    public void setRemark(String remark) {
        this.remark = remark == null ? null : remark.trim();
    }
    
    /**
     * 
     * @return userType 使用类型
     */
    public String getUserType() {
    	return userType;
    }
    
    /**
     * 备注
     * @param userType 备注
     */
    public void setUserType(String userType) {
    	this.userType = userType == null ? null : userType.trim();
    }

	public String getOrgName() {
		return orgName;
	}

	public void setOrgName(String orgName) {
		this.orgName = orgName;
	}
    
}