package com.chinaitop.depot.system.service;

import com.chinaitop.depot.system.model.UserRole;
import com.chinaitop.depot.system.model.UserRoleExample;

import java.util.List;
import java.util.Map;

public interface UserRoleService {
	
	List<UserRole> queryByExample(UserRoleExample example);

	void add(UserRole userRole);

	void deleteById(Integer userId);

	List<Map<String, String>> getUserRoleFeign(Integer userId);

	/**
	 * 查找本单位下谁拥有某个角色的权限
	 * @param orgId 组织机构id
	 * @param roleName 角色名称
	 * @return
	 */
	Integer getzzbjl(Integer orgId, String roleName);

}
