package com.chinaitop.depot.system.mapper;

import com.chinaitop.depot.system.model.OrgInfo;
import com.chinaitop.depot.system.model.OrgInfoExample;
import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Param;

public interface OrgInfoMapper {
    int countByExample(OrgInfoExample example);

    int deleteByExample(OrgInfoExample example);

    int deleteByPrimaryKey(Integer orgId);

    int insert(OrgInfo record);

    int insertSelective(OrgInfo record);

    List<OrgInfo> selectByExample(OrgInfoExample example);

    OrgInfo selectByPrimaryKey(Integer orgId);

    int updateByExampleSelective(@Param("record") OrgInfo record, @Param("example") OrgInfoExample example);

    int updateByExample(@Param("record") OrgInfo record, @Param("example") OrgInfoExample example);

    int updateByPrimaryKeySelective(OrgInfo record);

    int updateByPrimaryKey(OrgInfo record);
    
    List<OrgInfo> getOrgLevel(Map<String,Object> map);
    
    int updateOrgLevel(Map<String,Object> map);
    
    List<OrgInfo> getAllDepotInfo();
}