package com.chinaitop.depot.system.model;

import java.util.Date;
import java.util.List;

public class BasicEnum {
    private Integer enumid;

    private String enumcode;

    private String enumname;

    private String gbcode;

    private Integer parentid;

    private Date createdate;

    private String remark;

    private Integer delflag;
    
    private List<BasicEnum> children;

    public List<BasicEnum> getChildren() {
		return children;
	}

	public void setChildren(List<BasicEnum> children) {
		this.children = children;
	}

	/**
     * ID
     * @return enumId ID
     */
    public Integer getEnumid() {
        return enumid;
    }

    /**
     * ID
     * @param enumid ID
     */
    public void setEnumid(Integer enumid) {
        this.enumid = enumid;
    }

    /**
     * 枚举编码
     * @return enumCode 枚举编码
     */
    public String  getEnumcode() {
        return enumcode;
    }

    /**
     * 枚举编码
     * @param enumcode 枚举编码
     */
    public void setEnumcode(String enumcode) {
        this.enumcode = enumcode == null ? null : enumcode.trim();
    }

    /**
     * 枚举名称
     * @return enumName 枚举名称
     */
    public String getEnumname() {
        return enumname;
    }

    /**
     * 枚举名称
     * @param enumname 枚举名称
     */
    public void setEnumname(String enumname) {
        this.enumname = enumname == null ? null : enumname.trim();
    }

    /**
     * 国标编码
     * @return gbCode 国标编码
     */
    public String getGbcode() {
        return gbcode;
    }

    /**
     * 国标编码
     * @param gbcode 国标编码
     */
    public void setGbcode(String gbcode) {
        this.gbcode = gbcode == null ? null : gbcode.trim();
    }

    /**
     * 父级ID
     * @return parentId 父级ID
     */
    public Integer getParentid() {
        return parentid;
    }

    /**
     * 父级ID
     * @param parentid 父级ID
     */
    public void setParentid(Integer parentid) {
        this.parentid = parentid;
    }

    /**
     * 创建时间
     * @return createDate 创建时间
     */
    public Date getCreatedate() {
        return createdate;
    }

    /**
     * 创建时间
     * @param createdate 创建时间
     */
    public void setCreatedate(Date createdate) {
        this.createdate = createdate;
    }

    /**
     * 备注
     * @return remark 备注
     */
    public String getRemark() {
        return remark;
    }

    /**
     * 备注
     * @param remark 备注
     */
    public void setRemark(String remark) {
        this.remark = remark == null ? null : remark.trim();
    }

    /**
     * 删除状态(1.正常，2.删除)
     * @return delFlag 删除状态(1.正常，2.删除)
     */
    public Integer getDelflag() {
        return delflag;
    }

    /**
     * 删除状态(1.正常，2.删除)
     * @param delflag 删除状态(1.正常，2.删除)
     */
    public void setDelflag(Integer delflag) {
        this.delflag = delflag;
    }
}