package com.chinaitop.depot.system.model;

import java.io.Serializable;
import java.util.List;

public class FuncInfo implements Serializable{
    /**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	private Integer funcId;

    private String funcName;

    private String funcUrl;

    private Integer funcSort;

    private Integer parentId;

    private String icoUrl;

    private Integer status;

    private String remark;

    private Integer delFlag;
    
    private List<FuncInfo> children;

    /**
     * 功能编号
     * @return func_id 功能编号
     */
    public Integer getFuncId() {
        return funcId;
    }

    /**
     * 功能编号
     * @param funcId 功能编号
     */
    public void setFuncId(Integer funcId) {
        this.funcId = funcId;
    }

    /**
     * 功能名称
     * @return func_name 功能名称
     */
    public String getFuncName() {
        return funcName;
    }

    /**
     * 功能名称
     * @param funcName 功能名称
     */
    public void setFuncName(String funcName) {
        this.funcName = funcName == null ? null : funcName.trim();
    }

    /**
     * 功能路径
     * @return func_url 功能路径
     */
    public String getFuncUrl() {
        return funcUrl;
    }

    /**
     * 功能路径
     * @param funcUrl 功能路径
     */
    public void setFuncUrl(String funcUrl) {
        this.funcUrl = funcUrl == null ? null : funcUrl.trim();
    }

    /**
     * 父功能编号
     * @return parent_id 父功能编号
     */
    public Integer getParentId() {
        return parentId;
    }

    /**
     * 父功能编号
     * @param parentId 父功能编号
     */
    public void setParentId(Integer parentId) {
        this.parentId = parentId;
    }

    /**
     * 功能图标
     * @return ico_url 功能图标
     */
    public String getIcoUrl() {
        return icoUrl;
    }

    /**
     * 功能图标
     * @param icoUrl 功能图标
     */
    public void setIcoUrl(String icoUrl) {
        this.icoUrl = icoUrl == null ? null : icoUrl.trim();
    }

    /**
     * 状态
     * @return status 状态
     */
    public Integer getStatus() {
        return status;
    }

    /**
     * 状态
     * @param status 状态
     */
    public void setStatus(Integer status) {
        this.status = status;
    }

    /**
     * 备注
     * @return remark 备注
     */
    public String getRemark() {
        return remark;
    }

    /**
     * 备注
     * @param remark 备注
     */
    public void setRemark(String remark) {
        this.remark = remark == null ? null : remark.trim();
    }

    /**
     * 删除标记
     * @return del_flag 删除标记
     */
    public Integer getDelFlag() {
        return delFlag;
    }

    /**
     * 删除标记
     * @param delFlag 删除标记
     */
    public void setDelFlag(Integer delFlag) {
        this.delFlag = delFlag;
    }

	public List<FuncInfo> getChildren() {
		return children;
	}

	public void setChildren(List<FuncInfo> children) {
		this.children = children;
	}

    public Integer getFuncSort() {
        return funcSort;
    }

    public void setFuncSort(Integer funcSort) {
        this.funcSort = funcSort;
    }
}