package com.chinaitop.depot.system.service;

import com.chinaitop.depot.system.model.FuncInfo;
import com.chinaitop.depot.system.model.RoleFunc;

import java.util.List;

public interface RoleFuncService {
	
	/**
	 * 根据角色编号获取角色功能列表
	 * @param roleId
	 * @return
	 */
	List<RoleFunc> queryByRoleId(Integer roleId);
	

	List<FuncInfo> queryFuncByUserId(Integer userId);
	
	/**
	 * 保存角色功能
	 * @param roleId
	 * @param funcIds
	 */
	void save(Integer roleId, String[] funcIds);
	
	/**
	 * 保存角色功能
	 * @param roleId
	 * @param funcList
	 */
	void saveForList(Integer roleId, List<FuncInfo> funcList);
	
	/**
	 * 根据条件删除信息
	 * @param roleId
	 */
	void remove(Integer roleId);

}
