package com.chinaitop.depot.system.service;

import com.chinaitop.depot.system.model.UserOrg;

import java.util.List;

public interface UserOrgService {
	
	/**
	 * 根据用户编号获取列表数据
	 * @param userId
	 * @return
	 */
	List<UserOrg> queryByUserId(Integer userId);
	
	/**
	 * 保存
	 * @param userId
	 * @param orgIdList
	 */
	void save(Integer userId, String[] orgIdList, Integer orgId);
	
	void deleteById(Integer userId);

}
